Chromium Code Reviews
Help | Chromium Project | Sign in
(177)

Issue 18850005: Disable double tap zoom on mobile sites, to remove 300ms click delay (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 2 weeks ago by johnme
Modified:
5 months, 2 weeks ago
CC:
chromium-reviews_chromium.org, joi+watch-content_chromium.org, darin-cc_chromium.org, jam, Peter Beverloo
Visibility:
Public.

Description

Disable double tap zoom on mobile sites, to remove 300ms click delay

This patch disables double tap zoom on pages that have a
width=device-width or narrower viewport (indicating that this is a
mobile-optimized or responsive website).

Double tap zoom continues to be disabled for pages that disallow the
user from zooming (even if they don't have a device-width or narrower
viewport).

This causes very noticeable performance benefits: links, buttons,
checkboxes, etc respond within around 10ms instead of 300ms.
Tested this on: http://jsbin.com/ixibol/6

Users shouldn't miss the double-tap gesture in the affected
situations, as double-tap means "zoom until tapped content is legible",
and in all the cases above the content was already legible (already
displayed at 1 or more DIPs per CSS pixel), so double tap zoom didn't
make sense and didn't do much.

BUG=169642
NOTRY=true

Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=232245

Patch Set 1 #

Total comments: 2

Patch Set 2 : Address klobag's comment #

Patch Set 3 : Rewrite, taking into account crrev.com/27043004 #

Total comments: 5

Patch Set 4 : Always disable, rather than enabling iff zoomed in by more than 10% #

Total comments: 3

Patch Set 5 : Fix typo #

Total comments: 4

Patch Set 6 : Addressed Ted's nits #

Patch Set 7 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+46 lines, -28 lines) Lint Patch
M content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java View 1 2 3 4 5 6 1 chunk +8 lines, -1 line 0 comments ? errors Download
M content/public/android/java/src/org/chromium/content/browser/ContentViewGestureHandler.java View 1 2 3 4 5 4 chunks +14 lines, -14 lines 0 comments ? errors Download
M content/public/android/java/src/org/chromium/content/browser/RenderCoordinates.java View 1 2 3 4 1 chunk +8 lines, -0 lines 0 comments ? errors Download
M content/public/android/javatests/src/org/chromium/content/browser/ContentViewGestureHandlerTest.java View 1 2 3 4 5 6 6 chunks +16 lines, -13 lines 0 comments ? errors Download
Commit:

Messages

Total messages: 25
johnme
9 months, 2 weeks ago #1
johnme
9 months, 2 weeks ago #2
Rick Byers
On 2013/07/08 17:42:54, johnme wrote: I don't know the Clank Java code so I'll avoid ...
9 months, 2 weeks ago #3
aelias
This seems alright. Grace, what do you think?
9 months, 2 weeks ago #4
klobag.chromium
I am fine with the direction. But do we really want to add/remove listener? https://codereview.chromium.org/18850005/diff/1/content/public/android/java/src/org/chromium/content/browser/ContentViewGestureHandler.java ...
9 months, 2 weeks ago #5
johnme
klobag wrote: > I am fine with the direction. But do we really want to ...
9 months, 2 weeks ago #6
klobag.chromium
On 2013/07/10 19:19:16, johnme wrote: > klobag wrote: > > I am fine with the ...
9 months, 1 week ago #7
aelias
Going through old patches in my review list. Should this be closed?
7 months, 1 week ago #8
johnme
aelias wrote: > Going through old patches in my review list. Should this be closed? ...
6 months ago #9
jdduke
https://codereview.chromium.org/18850005/diff/16001/content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java File content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java (right): https://codereview.chromium.org/18850005/diff/16001/content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java#newcode1479 content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java:1479: mContentViewGestureHandler.updateShouldDisableDoubleTap(disable); So the user can double-tap to zoom out, ...
6 months ago #10
johnme
https://codereview.chromium.org/18850005/diff/16001/content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java File content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java (right): https://codereview.chromium.org/18850005/diff/16001/content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java#newcode1479 content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java:1479: mContentViewGestureHandler.updateShouldDisableDoubleTap(disable); On 2013/10/22 14:15:08, jdduke wrote: > > So ...
6 months ago #11
aelias
https://codereview.chromium.org/18850005/diff/16001/content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java File content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java (right): https://codereview.chromium.org/18850005/diff/16001/content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java#newcode1477 content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java:1477: boolean disable = (contentWidthCss <= windowWidthDp && pageScale < ...
5 months, 4 weeks ago #12
jdduke
https://codereview.chromium.org/18850005/diff/16001/content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java File content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java (right): https://codereview.chromium.org/18850005/diff/16001/content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java#newcode1477 content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java:1477: boolean disable = (contentWidthCss <= windowWidthDp && pageScale < ...
5 months, 4 weeks ago #13
johnme
Removed the "pageScale < 1.1f * minScale" condition at aelias & jdduke's suggestion. https://codereview.chromium.org/18850005/diff/16001/content/public/android/java/src/org/chromium/content/browser/ContentViewCore.java File ...
5 months, 4 weeks ago #14
aelias
lgtm
5 months, 4 weeks ago #15
klobag.chromium
https://codereview.chromium.org/18850005/diff/106001/content/public/android/java/src/org/chromium/content/browser/RenderCoordinates.java File content/public/android/java/src/org/chromium/content/browser/RenderCoordinates.java (right): https://codereview.chromium.org/18850005/diff/106001/content/public/android/java/src/org/chromium/content/browser/RenderCoordinates.java#newcode278 content/public/android/java/src/org/chromium/content/browser/RenderCoordinates.java:278: return mContentWidthCss <= windowWidthDp; is it a typo? windowWidthDip ...
5 months, 4 weeks ago #16
johnme
Fixed typo. https://codereview.chromium.org/18850005/diff/106001/content/public/android/java/src/org/chromium/content/browser/RenderCoordinates.java File content/public/android/java/src/org/chromium/content/browser/RenderCoordinates.java (right): https://codereview.chromium.org/18850005/diff/106001/content/public/android/java/src/org/chromium/content/browser/RenderCoordinates.java#newcode278 content/public/android/java/src/org/chromium/content/browser/RenderCoordinates.java:278: return mContentWidthCss <= windowWidthDp; On 2013/10/23 21:02:36, ...
5 months, 4 weeks ago #17
klobag.chromium
lgtm
5 months, 3 weeks ago #18
Ted C
Can we add a test somewhere that ensures double tap is disabled for narrow pages? ...
5 months, 3 weeks ago #19
Ted C
also lgtm :-)
5 months, 3 weeks ago #20
jdduke
On 2013/10/24 19:52:56, Ted C wrote: > also lgtm :-) Are we still moving forward ...
5 months, 3 weeks ago #21
johnme
> Are we still moving forward on this? Yep, a weekend and sheriffing stint meant ...
5 months, 3 weeks ago #22
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/johnme@chromium.org/18850005/236001
5 months, 2 weeks ago #23
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/johnme@chromium.org/18850005/446001
5 months, 2 weeks ago #24
I haz the power (commit-bot)
5 months, 2 weeks ago #25
Message was sent while issue was closed.
Change committed as 232245
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1280:2d3e6564b7b6